<?php
namespace app\mobile\controller;
use think\facade\View;
use think\facade\Cache;
use think\facade\Cookie;
use think\facade\Session;
use app\common\variable\MsgCode;
use app\common\controller\Score as ScoreController;
class Score extends Base
{
    /**
     * 领取积分任务奖励
     */
    public function receiveScore($id)
    {
        $User=Session::get('User');
        $D=[];
        $D['id']=$id;
        $D['uid']=$User['id'];
        /*
        *  调用公共领取积分任务奖励方法
        *  app\common\controller\Score
        */
        return ScoreController::receiveScore($D);
    }
    public function statistics()
    {
        $User=Session::get('User');
        $D=[
            'role_type' =>  $User['role_type'],
            'uid'       =>  $User['id'],
        ];
        /*
        *  调用公共积分统计方法
        *  app\common\controller\Score
        */
        return ScoreController::statistics($D);
    }
    public function signInToday()
    {
        $User=Session::get('User');
        /*
        *  调用公共签到方法
        *  app\common\controller\Score
        */
        return ScoreController::signInToday($User['id']);
    }
}
